<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
-->

<!DOCTYPE ServicesConfiguration
    PUBLIC "=//iPlanet//Service Management Services (SMS) 1.0 DTD//EN"
    "jar://com/sun/identity/sm/sms.dtd">


<ServicesConfiguration>
    <Service name="srapProxyletService" version="1.0">
        <Schema serviceHierarchy="/srap.configuration/srapProxyletService"
            i18nFileName="srapProxylet" i18nKey="sunPortalProxyletServiceDescription">

            <Global>
                <AttributeSchema name="serviceObjectClasses"
                    type="list" syntax="string" i18nKey="">
                    <DefaultValues>
                        <Value>sunPortalProxyletService</Value>
                    </DefaultValues>
                </AttributeSchema>
            </Global>

            <Dynamic>

                <AttributeSchema name="sunPortalProxyletBindIP"
		    type="single"
		    syntax="string"
		    any="adminDisplay|userReadOnly"
		    cosQualifier="default"
		    i18nKey="proxyletBindIP">
		    <DefaultValues>
			<Value>127.0.0.1</Value>
		    </DefaultValues>
		</AttributeSchema>

                <AttributeSchema name="sunPortalProxyletPort"
                    type="single"
                    syntax="number"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="proxyletPort">
                    <DefaultValues>
                        <Value>58081</Value>
                    </DefaultValues>
                </AttributeSchema>

                <AttributeSchema name="sunPortalProxyletDownloadDefault"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="downloadProxylet">
                    <DefaultValues>
                        <Value>false</Value>
                    </DefaultValues>
                </AttributeSchema>




            </Dynamic>

            <Policy>
                <AttributeSchema name="sunPortalProxyletExecute"
                    type="single"
                    syntax="boolean"
                    any="display"
                    cosQualifier="default"
                    i18nKey="proxyletPolicy">
                    <DefaultValues>
                        <Value>true</Value>
                    </DefaultValues>
                </AttributeSchema>
            </Policy>

            <User>

		<AttributeSchema name="sunPortalProxyletBindIP"
		    type="single"
		    syntax="string"
		    any="adminDisplay|userReadOnly"
		    cosQualifier="default"
		    i18nKey="proxyletBindIP">
		</AttributeSchema>

                <AttributeSchema name="sunPortalProxyletPort"
                    type="single"
                    syntax="number"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="proxyletPort">
                </AttributeSchema>

                <AttributeSchema name="sunPortalProxyletDownloadDefault"
                    type="single"
                    syntax="boolean"
                    any="adminDisplay|userReadOnly"
                    cosQualifier="default"
                    i18nKey="downloadProxylet">
                </AttributeSchema>

            </User>
        </Schema>
    </Service>
</ServicesConfiguration>

